Package org.apache.sling.maven.htl.compiler

## Class HTLJavaImportsAnalyzer

- java.lang.Object
- - org.apache.sling.maven.htl.compiler.HTLJavaImportsAnalyzer

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.java.compiler.JavaImportsAnalyzer`

    public class HTLJavaImportsAnalyzer
    extends Object
    implements org.apache.sling.scripting.sightly.java.compiler.JavaImportsAnalyzer

### Constructor Summary

Constructors
`HTLJavaImportsAnalyzer​(Set<String> ignoreImports)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `allowImport​(String importedClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTLJavaImportsAnalyzer

    public HTLJavaImportsAnalyzer​(Set<String> ignoreImports)

### Method Detail

#### allowImport

    public boolean allowImport​(String importedClass)

Specified by:
  `allowImport` in interface `org.apache.sling.scripting.sightly.java.compiler.JavaImportsAnalyzer`